<?php
/**
 * Created by PhpStorm.
 * User: ehrapov
 * Date: 23.10.2018
 * Time: 17:36
 */
use \Bitrix\Main\Localization\Loc;
if (!defined('B_PROLOG_INCLUDED') || B_PROLOG_INCLUDED !== true) die();

Loc::loadMessages(__FILE__);

class DellinDeliveryStatus extends CBitrixComponent
{
    public function onPrepareComponentParams($arParams)
    {
        $result = array(
            "CACHE_TYPE" => $arParams["CACHE_TYPE"],
            "CACHE_TIME" => isset($arParams["CACHE_TIME"]) ?$arParams["CACHE_TIME"]: 36000000,
            "ORDER_ID" => intval($arParams["ORDER_ID"]),
            "AJAX" => $arParams['AJAX']
        );
        return $result;
    }

    public function executeComponent()
    {
        if($_REQUEST['AJAX'] == "Y"){
            $this->arParams['ORDER_ID'] = $_REQUEST['ORDER_ID'];
        }
        if (CModule::IncludeModule("dellindev.delivery")) {
        /*if($this->startResultCache())
        {*/
            $this->arResult["DELLIN_DELIVERY_STATUS"] = DellinDelivery::GetOrderStatus($this->arParams['ORDER_ID']);
            $this->includeComponentTemplate();
        /*}
        return $this->arResult["DELLIN_DELIVERY_STATUS"];*/
        }else{
            echo "<pre>";
            var_dump(GetMessage("SALE_MODULE_NOT_INSTALLED"));
            echo "</pre>";
        }
    }
}
?>