var dellinDeliveryAdmin = BX.namespace('dellinDeliveryAdmin');

dellinDeliveryAdmin.init = function(){
    console.log('статус отслеживания');
    $('input.createOrder').click(function(e){
        e.preventDefault();
        var input = this;
        //$(input).closest('form').append('<div class="loading"><span class="loading-content"><img src="/bitrix/js/main/core/images/wait.gif"> Обработка запроса...</span></div>');
        dellinDeliveryAdmin.showLoading();
        var orderId = $(input).attr('data-id');
        dellinDeliveryAdmin.postAjaxCreate(input,orderId,false);
    });

}

dellinDeliveryAdmin.postAjaxCreate = function(input,orderId,orderUpdated,deliveryType='auto'){
    dellinDeliveryAdmin.showLoading();
    $.ajax({
        url: "",
        data: {'ORDER_ID':orderId,'AJAX':'Y','ACTION':'CREATE_ORDER','ORDER_UPDATED':orderUpdated,'DELIVERY_TYPE':deliveryType},
        method: "POST",
        dataType: "Json"
    })
    .done(function( answer) {
        console.log(answer);
        if(answer.STATUS == "ERROR"){
            $(input).closest('.adm-list-table-row').find('.deliveryStatus').html('<span class="error">'+answer.BODY+'</span>');
            //$(input).closest('form').find('.loading').remove();
            dellinDeliveryAdmin.hideLoading();
        }else{
            console.log('price changed',answer.PRICE_CHANGED);
            console.log('date changed',answer.DATE_CHANGED);
            console.log('terminal time changed',answer.TERMINAL_RECEIVE_TIME_CHANGED);

            var changes ="";
            if(answer.PRICE_CHANGED !== undefined){
                $(input).closest('form').find('.dellin-delivery-price').html(answer.BODY[0]+' руб.');
                changes += '<div class="warning-row">Цена изменилась: '+answer.BODY[0]+'</div>';
            }
            if(answer.DATE_CHANGED !== undefined){
                changes += '<div class="warning-row">Дата отгрузки из настроек недоступна, ближайшая дата: '+answer.BODY[2]+'</div>';
            }
            if(answer.TERMINAL_RECEIVE_TIME_CHANGED !== undefined){
                changes += '<div class="warning-row">Время отгрузки из настроек недоступно, допустимое время: c '+answer.BODY[3][0]+' до '+answer.BODY[3][1]+'</div>';
            }
            console.log(answer);
            if(changes.length > 0){
                var content = changes+'<br/> Хотите внести изменения и отправить заявку? <br/>' +
                    '<div class="buttons"><input type="button" value="Отправить" data-action="create_order"><br/> <input type="button" value="Oтменить" data-action="close"></div></div></div>';
                dellinDeliveryAdmin.showWarning(content);
                dellinDeliveryAdmin.hideLoading();
                $('.warning-content').offset({'top':$(input).offset().top});
                $(input).closest('form').find('.warning [data-action=create_order]').focus();
                $('.warning-content').find('[type=button]').click(function(){
                    if($(this).attr('data-action')=="close"){
                        dellinDeliveryAdmin.hideWarning();
                    }
                    if($(this).attr('data-action')=="create_order"){
                        dellinDeliveryAdmin.hideWarning();
                        //$(input).closest('form').append('<div class="loading"><span class="loading-content"><img src="/bitrix/js/main/core/images/wait.gif"> Обработка запроса...</span></div>');
                        dellinDeliveryAdmin.postAjaxCreate(input,orderId,true/*параметр, показывающий, что функция вызвана после пересчета цены и еще раз пересчитывать не требуется*/,answer.DELIVERY_TYPE);
                    }
                });
            }else{
                console.log(answer.STATUS == "OK" && answer.ACTION=="CREATE");
                var tr = $(input).closest('tr');
                if(answer.STATUS == "OK" && answer.ACTION=="CREATE"){
                    $(input).closest('tr').find('.deliveryStatus').addClass('processing').html('В обработке');
                    $(input).closest('tr').find('.dellin-tracking-number').html(answer.BODY['TRACKING_NUMBER']);
                    $(input).closest('form').find('.loading').remove();
                    //$(input).closest('form').append('<div class="warning"><span class="warning-content"> </span></div>');
                    var content = 'Заявка отправлена! <br/><div class="buttons"><input type="button" value="Ок" data-action="close" onClick="dellinDeliveryAdmin.hideWarning()"></div>';
                    dellinDeliveryAdmin.showWarning(content);
                    $('.warning-content').offset({'top':tr.offset().top});
                    dellinDeliveryAdmin.hideLoading();
                    $(input).closest('tr').find('input.createOrder').remove();
                }else{
                    dellinDeliveryAdmin.postAjaxCreate(input,orderId,true/*параметр, показывающий, что функция вызвана после пересчета цены и еще раз пересчитывать не требуется*/,answer.DELIVERY_TYPE);
                }
            }
            /*if(answer.PRICE_CHANGED || answer.DATE_CHANGED ){
                var changes ="";
                if(answer.PRICE_CHANGED){
                    $(input).closest('form').find('.dellin-delivery-price').html(answer.BODY[0]+' руб.');
                    changes += '<div class="warning-row">Цена изменилась: '+answer.BODY[0]+'</div>';
                }
                if(answer.DATE_CHANGED){
                    changes += '<div class="warning-row">Дата отгрузки из настроек недоступна, ближайшая дата: '+answer.BODY[2]+'</div>';
                }
                if(answer.TERMINAL_RECEIVE_TIME_CHANGED){
                    changes += '<div class="warning-row">Время отгрузки из настроек недоступно, допустимое время: c '+answer.BODY[3][0]+' до '+answer.BODY[3][1]+'</div>';
                }
                content = changes+'<br/> Хотите внести изменения и отправить заявку? <br/>' +
                    '<div class="buttons"><input type="button" value="Отправить" data-action="create_order"><br/> <input type="button" value="Oтменить" data-action="close"></div></div></div>';
                dellinDeliveryAdmin.showWarning(content);
                dellinDeliveryAdmin.hideLoading();
                $('.warning-content').offset({'top':$(input).offset().top});
                $(input).closest('form').find('.warning [data-action=create_order]').focus();
                $('.warning-content').find('[type=button]').click(function(){
                    if($(this).attr('data-action')=="close"){
                        dellinDeliveryAdmin.hideWarning();
                    }
                    if($(this).attr('data-action')=="create_order"){
                        dellinDeliveryAdmin.hideWarning();
                        //$(input).closest('form').append('<div class="loading"><span class="loading-content"><img src="/bitrix/js/main/core/images/wait.gif"> Обработка запроса...</span></div>');
                        dellinDeliveryAdmin.postAjaxCreate(input,orderId,true/*параметр, показывающий, что функция вызвана после пересчета цены и еще раз пересчитывать не требуется*//*,answer.DELIVERY_TYPE);
                    /*}
                });

                //$(input).closest('form').find('.loading').remove();

            }else{
                console.log(answer.STATUS == "OK" && answer.ACTION=="CREATE");
                var tr = $(input).closest('tr');
                if(answer.STATUS == "OK" && answer.ACTION=="CREATE"){
                    $(input).closest('tr').find('.deliveryStatus').addClass('processing').html('В обработке');
                    $(input).closest('tr').find('.dellin-tracking-number').html(answer.BODY['TRACKING_NUMBER']);
                    $(input).closest('form').find('.loading').remove();
                    //$(input).closest('form').append('<div class="warning"><span class="warning-content"> </span></div>');
                    var content = 'Заявка отправлена! <br/><div class="buttons"><input type="button" value="Ок" data-action="close" onClick="dellinDeliveryAdmin.hideWarning()"></div>';
                    dellinDeliveryAdmin.showWarning(content);
                    $('.warning-content').offset({'top':tr.offset().top});
                    dellinDeliveryAdmin.hideLoading();
                    $(input).closest('tr').find('input.createOrder').remove();
                }else{

                    dellinDeliveryAdmin.postAjaxCreate(input,orderId,true/*параметр, показывающий, что функция вызвана после пересчета цены и еще раз пересчитывать не требуется*//*,answer.DELIVERY_TYPE);
                /*}

            }*/
        }

    });
}
dellinDeliveryAdmin.closeWarning = function(warning) {
    $(warning).remove();
}
dellinDeliveryAdmin.showLoading = function(){
    dellinDeliveryAdmin.hideLoading();
    $('#form_tbl_sale_order_dellin').append('<div class="loading-wrap"></div>');
    $('#form_tbl_sale_order_dellin').append('<div class="loading"><span class="loading-content"><img src="/bitrix/js/main/core/images/wait.gif"> Обработка запроса...</span></div>');
}
dellinDeliveryAdmin.hideLoading = function(){
    $('.loading-wrap').remove();
    $('.loading').remove();
}
dellinDeliveryAdmin.showWarning = function(content){
    dellinDeliveryAdmin.hideWarning();
    $('#form_tbl_sale_order_dellin').append('<div class="warning"><div class="warning-content">'+content+'</div>');
}
dellinDeliveryAdmin.hideWarning = function(){
    $('.warning').remove();
}