var dellinDeliveryCheckout = BX.namespace('dellinDeliveryCheckout');


dellinDeliveryCheckout.init = function(){
    console.log('dellinDeliveryInit');
    var personType = "";
    dellinDeliveryCheckout.processAdditionalFields();
    $.each($('[name="PERSON_TYPE"]'),function(){
        if($(this).attr('checked') == "checked") personType = $(this).val();
    });
    $.ajax({
        method: "POST",
        url: "/bitrix/tools/dellindev.delivery/dellin_ajax.php",
        data: {ACTION:"GET_LOCATION_INPUTS_IDS",PERSON_TYPE_ID:personType},
        dataType:"json"
    })
    .done(function(result) {
        if(result.STATUS == "OK"){
            $('[name = "ORDER_PROP_' + result.STREET_INPUT_ID + '"]').attr({'data_kladr_input':result.STREET_KLADR_ID,'autocomplete':'off'});
            $('[name = "ORDER_PROP_' + result.JURIDICAL_STREET_ID + '"]').attr({'data_kladr_input':result.JURIDICAL_STREET_KLADR_ID,'data_city_kladr_input': result.JURIDICAL_CITY_KLADR_ID,'autocomplete':'off'});
            $('[name = "ORDER_PROP_' + result.JURIDICAL_CITY_ID + '"]').attr({'data_kladr_input':result.JURIDICAL_CITY_KLADR_ID,'autocomplete':'off'});
            $('input[name="ORDER_PROP_'+result.JURIDICAL_OPF_COUNTRY_ID+'"],input[name="ORDER_PROP_'+result.JURIDICAL_OPF_ID+'"]').attr('readonly');
            $('input[name="ORDER_PROP_'+result.JURIDICAL_OPF_COUNTRY_ID+'"],input[name="ORDER_PROP_'+result.JURIDICAL_OPF_ID+'"]').css('display','none');

            //ОПФ------------------
            $('<select class="form-control" name="ORDER_PROP_'+result.JURIDICAL_OPF_COUNTRY_ID+'"></select>').insertAfter($('input[name="ORDER_PROP_'+result.JURIDICAL_OPF_COUNTRY_ID+'"]'));
            dellinDeliveryCheckout.getOpf(result.JURIDICAL_OPF_COUNTRY_ID,result.JURIDICAL_OPF_ID,personType);
            $('select[name="ORDER_PROP_'+result.JURIDICAL_OPF_COUNTRY_ID+'"]').change(function(){
                $('input[name="ORDER_PROP_'+result.JURIDICAL_OPF_COUNTRY_ID+'"]').val($(this).val());
                dellinDeliveryCheckout.getOpf(result.JURIDICAL_OPF_COUNTRY_ID,result.JURIDICAL_OPF_ID,personType);
            });

            $('<select class="form-control" name="ORDER_PROP_'+result.JURIDICAL_OPF_ID+'"></select>').insertAfter($('input[name="ORDER_PROP_'+result.JURIDICAL_OPF_ID+'"]'));
            $('select[name="ORDER_PROP_'+result.JURIDICAL_OPF_ID+'"]').change(function(){
                $('input[name="ORDER_PROP_'+result.JURIDICAL_OPF_ID+'"]').val($(this).val());
            });
            //----------------
            streetKladrInputs = $('[name = "ORDER_PROP_' + result.JURIDICAL_STREET_KLADR_ID + '"],[name = "ORDER_PROP_' + result.STREET_KLADR_ID + '"] ');
            cityKladrInputs = $('[name = "ORDER_PROP_' + result.JURIDICAL_CITY_KLADR_ID + '"]');
            if($.trim($('[name = "ORDER_PROP_' + result.JURIDICAL_CITY_KLADR_ID + '"]').val()).length == 0){
                $('[name = "ORDER_PROP_' + result.JURIDICAL_STREET_ID + '"]').val('Сначала укажите город').attr('disabled','disabled');
            }
            $(streetKladrInputs).closest('.bx-soa-customer-field').css('display', 'none').attr('disabled', 'disabled');
            $(cityKladrInputs).closest('.bx-soa-customer-field').css('display', 'none').attr('disabled', 'disabled');
            streetInputs =  $('[name = "ORDER_PROP_' + result.STREET_INPUT_ID + '"],[name = "ORDER_PROP_' + result.JURIDICAL_STREET_ID + '"]');
            cityInputs =  $('[name = "ORDER_PROP_' + result.JURIDICAL_CITY_ID + '"]');

            $(streetInputs).addClass('streetKladr_autocomplete');
            $(cityInputs).addClass('cityKladr_autocomplete');
            dellinDeliveryCheckout.findKladdrEventInit($('.streetKladr_autocomplete'),'SEARCH_STREET',5, $('[name=ORDER_PROP_'+result.LOCATION_INPUT_ID+']').val(),$('[name=ORDER_PROP_'+result.ALT_LOCATION_INPUT_ID+']').val());
            dellinDeliveryCheckout.findKladdrEventInit($('.cityKladr_autocomplete'),'SEARCH_CITY',5);
            $('[name = "ORDER_PROP_' + result.JURIDICAL_CITY_KLADR_ID + '"]').change(function(){
                if($.trim($(this).val()).length == 0){
                    $('[name = "ORDER_PROP_' + result.JURIDICAL_STREET_ID + '"]').val('Сначала укажите город').attr('disabled','disabled');
                }else{
                    $('[name = "ORDER_PROP_' + result.JURIDICAL_STREET_ID + '"]').val('').removeAttr('disabled','disabled');
                }
            });
            if($('[name=ORDER_PROP_'+result.LOCATION_INPUT_ID+']').attr('type') == "hidden"){
                $('[name=ORDER_PROP_'+result.ALT_LOCATION_INPUT_ID+'],#zipProperty').change(function(){
                    submitFormProxy();
                });

            }

            var data = {
                ACTION:"GET_TERMINALS",
                BX_LOCATION_ID: $('[name=ORDER_PROP_'+result.LOCATION_INPUT_ID+']').val(),
                PERSON_TYPE_ID:personType,
                SELECTED_PROFILE_ID:$('[name="DELIVERY_ID"]:checked').val()
            }
            $.ajax({
                method: "POST",
                url: "/bitrix/tools/dellindev.delivery/dellin_ajax.php",
                data: data,
                dataType:"json"
            })
            .done(function(result){
                if(result.PROPS){
                    var terminalAddressInput = $('[name="ORDER_PROP_'+result.PROPS.TERMINAL_ADDRESS+'"]');
                    var terminalIdInput = $('[name="ORDER_PROP_'+result.PROPS.TERMINAL_ID+'"]');
                    $(terminalAddressInput).css('display','none');
                    $(terminalIdInput).closest('.form-group.bx-soa-customer-field').css('display','none');
                    $(terminalAddressInput).attr('readonly','readonly');
                    $(terminalIdInput).attr('readonly','readonly');
                    var select = "<select class='form-control'>";
                    if($(result.TERMINALS).length > 0){
                        $.each(result.TERMINALS,function(id,address){
                            select += '<option value="'+id+'">'+address+'</option>';
                        });
                        select += "</select>";
                        var selector = $(select).insertBefore(terminalAddressInput).change(function(){
                            $(terminalAddressInput).val($(this).find(':selected').html());
                            $(terminalIdInput).val($(this).val());
                        });
                        $(terminalAddressInput).val($(selector).find(':selected').html());
                        $(terminalIdInput).val($(selector).val());
                    }
                }
            });
        }else{
            console.log(result.TEXT);
        }
    });
    $.each($('select'),function(){$(this).addClass('form-control')});
    $(document).click(function(e){
        if(!$(e.target).hasClass('autocomplete-row')){
            $('.autocomplete').remove();
        }
    });
}

dellinDeliveryCheckout.getOpf = function(opfCountryInputId,opfInputId,personType){
    $.ajax({
        url: "/bitrix/tools/dellindev.delivery/dellin_ajax.php",
        data: {'AJAX':'Y','ACTION':'UPDATE_OPF','SELECTED_PROFILE_ID':$('[name="DELIVERY_ID"]:checked').val(),'PERSON_TYPE_ID':personType},
        method: "GET",
        dataType: "json"
    }).done(function(response){
        if( $('input[name="ORDER_PROP_'+opfCountryInputId+'"]').val() == ""){
            $('input[name="ORDER_PROP_'+opfCountryInputId+'"]').val('0x8f51001438c4d49511dbd774581edb7a');
        }
        var options = "";
        console.log($('input[name="ORDER_PROP_'+opfCountryInputId+'"]').val());
        $.each(response.countries,function(id,name){
            var selected = '';
            if(id ==  $('input[name="ORDER_PROP_'+opfCountryInputId+'"]').val()){
                selected = "selected";
            }
            options += '<option '+selected+' value="'+id+'">'+name+'</option>>';
        });
        $('select[name="ORDER_PROP_'+opfCountryInputId+'"]').html(options);

        if( $('input[name="ORDER_PROP_'+opfInputId+'"]').val() == ""){
            $('input[name="ORDER_PROP_'+opfInputId+'"]').val('0x92ee03691f25a9fe4be9910cd87ca9ca');
        }
        var options = "";
        var opfList = response.opf[$('input[name="ORDER_PROP_'+opfCountryInputId+'"]').val()];
        if($(opfList).length > 0){
            $.each(opfList,function(id,name){
                var selected = '';
                if(id ==  $('input[name="ORDER_PROP_'+opfInputId+'"]').val()){
                    selected = "selected";
                }
                options += '<option '+selected+' value="'+id+'">'+name+'</option>>';
            });
            $('select[name="ORDER_PROP_'+opfInputId+'"]').html(options);
        }
    });
}

dellinDeliveryCheckout.findKladdrEventInit = function(element,ajaxAction,limit,locationId,altLocationName){
    $(element).bind('keyup', function () {
        input = this;
        if ($(input).val().length >= 2) {

            if($(input).attr('data_city_kladr_input') !== undefined){
                var cityKladr = $('[name="ORDER_PROP_'+$(input).attr('data_city_kladr_input')+'"]').val();
                locationId = "";
            }
            $.ajax({
                url: "/bitrix/tools/dellindev.delivery/dellin_ajax.php",
                data: {
                    AJAX: 'Y',
                    ACTION: ajaxAction,
                    query: $(this).val(),
                    COUNT: limit,
                    BX_LOCATION_ID: locationId,
                    ALT_LOCATION_NAME: altLocationName,
                    KLADR: cityKladr,
                    SELECTED_PROFILE_ID:$('[name="DELIVERY_ID"]:checked').val()
                },
                method: "GET",
                dataType: "json"
            }).done(function (response) {
                $(input).siblings('.autocomplete').remove();

                kladrInput = $('[name="ORDER_PROP_'+$(input).attr("data_kladr_input")+'"]');
                if (response.STATUS == "ERROR") {
                    $(input).siblings('.autocomplete').find('.rows').append('<div class="autocomplete-row" onclick="dellinDeliveryCheckout.setAutoCompleteKladr(this,input,kladrInput">' + response.BODY + ' </div>');
                } else {
                    if($(response).length > 0){
                        $('<div class="autocomplete"><div class="rows"></div></div>').insertAfter($(input));
                        $.each(response, function (index, el) {
                            $(input).siblings('.autocomplete').find('.rows').append('<div class="autocomplete-row" onclick="dellinDeliveryCheckout.setAutoCompleteKladr(this,input,kladrInput)" data-id="' + el.code + '">' + el.aString + '</div>');
                        });
                    }
                }
            })
        } else {
            $('[name="ORDER_PROP_'+$(input).attr("data_kladr_input")+'"]').val("");
            $('[data_city_kladr_input="'+$(input).attr('data_kladr_input')+'"]').val('Сначала укажите город').attr('disabled','');
            $(input).siblings('.autocomplete').remove();
        }
    });
}

dellinDeliveryCheckout.setAutoCompleteKladr = function (element,input,kladrInput) {
    //$(element).closest('.autocomplete').siblings('input[type=text]').val($(element).html()).attr('kladr',$(element).attr('data-id'));
    $(input).val($(element).html());
    $('[data_city_kladr_input="'+$(input).attr('data_kladr_input')+'"]').val('').removeAttr('disabled');
    $(kladrInput).val($(element).attr('data-id'));
    $(element).closest('.autocomplete').remove();

}

BX.addCustomEvent('onAjaxSuccess', function(eventObject, eventParams){
    if(eventParams.url == "/bitrix/components/bitrix/sale.order.ajax/ajax.php"){
        dellinDeliveryCheckout.init();
    }
});

dellinDeliveryCheckout.processAdditionalFields = function() {
    $.ajax({
        url: "/bitrix/tools/dellindev.delivery/dellin_ajax.php",
        data: {
            AJAX: 'Y',
            ACTION: 'GET_FIELDS_ID',
            SELECTED_PROFILE_ID: $('[name="DELIVERY_ID"]:checked').val(),
            PERSON_TYPE_ID: $('[name="PERSON_TYPE"]:checked').val()
        },
        method: "GET",
        dataType: "json"
    }).done(function (response) {
        if(response !== null && response !== undefined){
            if(response.DELLIN_DELIVERYTIME_START !== 'undefined' && response.DELLIN_DELIVERYTIME_END !== 'undefined'){
                dellinDeliveryCheckout.checkTimeInterval($('[name="ORDER_PROP_'+response.DELLIN_DELIVERYTIME_START+'"]'),$('[name="ORDER_PROP_'+response.DELLIN_DELIVERYTIME_END+'"]'));
                $('[name="ORDER_PROP_'+response.DELLIN_DELIVERYTIME_START+'"],[name="ORDER_PROP_'+response.DELLIN_DELIVERYTIME_END+'"]').change(function(){
                    console.log('change');
                    dellinDeliveryCheckout.checkTimeInterval($('[name="ORDER_PROP_'+response.DELLIN_DELIVERYTIME_START+'"]'),$('[name="ORDER_PROP_'+response.DELLIN_DELIVERYTIME_END+'"]'));
                })
            }
        }
    });
}
dellinDeliveryCheckout.checkTimeInterval = function(startTimeInput,endTimeInput){
    var timeError = false;
    var startTime = parseInt($(startTimeInput).val());
    var endTime =  parseInt($(endTimeInput).val());
    if(endTime - startTime < 4){
        timeError = true;
        $(startTimeInput).addClass('has-error');
        $(endTimeInput).addClass('has-error');
        $('.warning-msg').remove();
        $(startTimeInput).after('<div class="warning-msg">Разница между началом и концом должна быть больше или равна 4 часам</div>');
        $('a.btn-order-save,[data-save-button="true"]').hide();
        $('[data-role="fake"]').remove();
        $('#bx-soa-orderSave').append('<a onclick="dellinDeliveryCheckout.scrollToElement('+"'"+'[name='+$(startTimeInput).attr("name")+']'+"'"+')" style="margin: 10px 0" class="pull-right btn btn-default btn-lg hidden-xs" data-role="fake">Оформить заказ</a>');
        $('#bx-soa-total .visible-xs').append('<a  onclick="dellinDeliveryCheckout.scrollToElement('+"'"+'[name='+$(startTimeInput).attr("name")+']'+"'"+')"  data-role="fake" class="btn btn-default btn-lg btn-order-save" style="display: inline-block;">Оформить заказ</a>');
    }else{
        $(startTimeInput).removeClass('has-error');
        $(endTimeInput).removeClass('has-error');
        $('.warning-msg').remove();
        $('[data-role="fake"]').remove();
        $('a.btn-order-save,[data-save-button="true"]').show();
    }
}
dellinDeliveryCheckout.scrollToElement = function(selector){
    $('body,body').animate({ scrollTop: $(selector).offset().top }, 1100);
}